//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.4-2 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2015.06.09 at 11:11:31 AM CEST 
//


package net.ihe.gazelle.tempmodel.org.decor.art.model;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for ScenarioActorType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="ScenarioActorType"&gt;
 *   &lt;restriction base="{}EnumerationToken"&gt;
 *     &lt;enumeration value="person"/&gt;
 *     &lt;enumeration value="organization"/&gt;
 *     &lt;enumeration value="device"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "ScenarioActorType")
@XmlEnum
public enum ScenarioActorType {


    /**
     * Person
     * 
     */
    @XmlEnumValue("person")
    PERSON("person"),

    /**
     * Organization
     * 
     */
    @XmlEnumValue("organization")
    ORGANIZATION("organization"),

    /**
     * Device
     * 
     */
    @XmlEnumValue("device")
    DEVICE("device");
    private final String value;

    ScenarioActorType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static ScenarioActorType fromValue(String v) {
        for (ScenarioActorType c: ScenarioActorType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
